## org.codehaus.groovy.grails.plugins.support
Class OrderedAdapter

    java.lang.Object
      org.codehaus.groovy.grails.plugins.support.OrderedAdapter

All Implemented Interfaces:
  Ordered

    public abstract class OrderedAdapter

extends Object
implements Ordered

Convenience adapter implementation of the Spring `Ordered` interface.

Since:
  0.2
Author:
  Steven Devijver

Field Summary

Fields inherited from interface org.springframework.core.Ordered
`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

Constructor Summary
`OrderedAdapter()`

Method Summary
`int` `getOrder()`
`void` `setOrder(int order)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrderedAdapter

    public OrderedAdapter()

Method Detail

### getOrder

    public int getOrder()

  Specified by:
    `getOrder` in interface `Ordered`

### setOrder

    public void setOrder(int order)

Copyright (c) 2005-2009 The Grails project